cutlass::NumericConverter< T, S, Round > Struct Template Reference

`#include <numeric_conversion.h>`

## Public Types

using | result_type = T
using | source_type = S

## Public Member Functions

CUTLASS_HOST_DEVICE result_type | operator() (source_type const &s)

## Static Public Member Functions

static CUTLASS_HOST_DEVICE result_type | convert (source_type const &s)

## Static Public Attributes

static FloatRoundStyle const | round_style = Round

## Member Typedef Documentation

template<typename T, typename S, FloatRoundStyle Round = FloatRoundStyle::round_to_nearest>

using cutlass::NumericConverter< T, S, Round >::result_type = T

template<typename T, typename S, FloatRoundStyle Round = FloatRoundStyle::round_to_nearest>

using cutlass::NumericConverter< T, S, Round >::source_type = S

## Member Function Documentation

template<typename T, typename S, FloatRoundStyle Round = FloatRoundStyle::round_to_nearest>

static CUTLASS_HOST_DEVICE result_type cutlass::NumericConverter< T, S, Round >::convert | ( | source_type const & | s | ) |

inlinestatic

template<typename T, typename S, FloatRoundStyle Round = FloatRoundStyle::round_to_nearest>

CUTLASS_HOST_DEVICE result_type cutlass::NumericConverter< T, S, Round >::operator() | ( | source_type const & | s | ) |

inline

## Member Data Documentation

template<typename T, typename S, FloatRoundStyle Round = FloatRoundStyle::round_to_nearest>

FloatRoundStyle const cutlass::NumericConverter< T, S, Round >::round_style = Round

static

The documentation for this struct was generated from the following file:

- numeric_conversion.h